ValidatePageAPI mirrors the erdo_validate_page MCP tool.
curl --request POST \
--url https://api.erdo.ai/v1/pages/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"css": "<string>",
"dataset_slugs": [
"<string>"
],
"html": "<string>",
"js": "<string>",
"runtime": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/pages/validate"
payload = {
"css": "<string>",
"dataset_slugs": ["<string>"],
"html": "<string>",
"js": "<string>",
"runtime": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
css: '<string>',
dataset_slugs: ['<string>'],
html: '<string>',
js: '<string>',
runtime: '<string>'
})
};
fetch('https://api.erdo.ai/v1/pages/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"validation": {
"errors": [
{
"column": 123,
"context": "<string>",
"field": "<string>",
"line": 123,
"message": "<string>",
"severity": "<string>"
}
],
"valid": true
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
ValidatePageAPI mirrors the erdo_validate_page MCP tool.
POST
/
v1
/
pages
/
validate
ValidatePageAPI mirrors the erdo_validate_page MCP tool.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Response
Success response
validation
ArtifactValidationResult lives in this package so both the private API layer and
· object
action callers can reference it without importing the validator implementation.
Show child attributes
Show child attributes
RestorePageAPI mirrors the erdo_restore_page MCP tool.
UpdatePageAPI mirrors the erdo_update_page MCP tool.
⌘I

